# $Revision: 1.25 $, $Date: 2008/07/27 22:35:00 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Filesys
%define		pnam	SmbClientParser
Summary:	Filesys::SmbClientParser - Perl client to reach Samba ressources with smbclient
Summary(pl.UTF-8):	Filesys::SmbClientParser - klient perlowy zasobów Samby korzystający z smbclienta
Name:		perl-Filesys-SmbClientParser
Version:	2.7
Release:	3
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	16f73fb28db6e2d7f97690f01f6c1bd0
Patch0:		%{name}-notest.patch
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
Requires:	samba-client
%if %{with tests}
BuildRequires:	samba-client
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Filesys::SmbClientParser module is a Perl client to reach Samba
ressources.  SmbClientParser works with output of bin smbclient, so
it doesn't work on Win* platforms (but query of Win* platform works
of course).

%description -l pl.UTF-8
Moduł Filesys::SmbClientParser jest perlowym klientem zasobów Samby.
SmbClientParser działa na wyjściu programu smbclient, więc nie będzie
działać na platformach Win* (jednakże łączenie sie z serwerem Win*
oczywiście działa).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/Filesys/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Filesys-SmbClientParser.spec,v $
Revision 1.25  2008/07/27 22:35:00  arekm
- release 3

Revision 1.24  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.22  2004/11/03 22:30:22  paladine
- formatting

Revision 1.21  2004/06/13 17:45:01  radek
- cosmetics

Revision 1.20  2004/05/07 00:32:01  ankry
- rel. 2

Revision 1.19  2004/05/06 18:09:36  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/20 16:43:16  ankry
- summary/description/license fixes

Revision 1.17  2004/04/15 09:49:29  adamg
- updated to 2.7

Revision 1.16  2004/03/06 23:06:37  adamg
- new style bconds
- if doing tests, BR: samba-client

Revision 1.15  2004/03/06 23:01:55  adamg
- updated to 2.6

Revision 1.14  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.13  2003/08/18 08:08:47  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 19:09:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/25 00:39:23  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:32:30  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/11/20 12:19:36  mis
- autoupdated to 2.5

Revision 1.5  2002/09/28 07:12:39  ankry
- it IS noarch
- release 2

Revision 1.4  2002/09/26 17:11:33  ankry
- added tests on bcond and translations
- version 2.3

Revision 1.3  2002/07/10 08:47:19  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.2  2002/06/03 16:29:22  blues
- it's NOT noarch, sorry...
STBR now...

Revision 1.1  2002/06/03 15:15:59  blues
- new module - STBR
